FreeBSD : PostgreSQL vulnerabilities (414c18bf-3653-11e7-9550-6cc21735f730)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

The PostgreSQL project reports :

Security Fixes nested CASE expressions + database and role names with
embedded special characters

- CVE-2017-7484: selectivity estimators bypass SELECT privilege
checks.

- CVE-2017-7485: libpq ignores PGREQUIRESSL environment variable

- CVE-2017-7486: pg_user_mappings view discloses foreign server
passwords. This applies to new databases, see the release notes for
the procedure to apply the fix to an existing database.

See also :

http://www.nessus.org/u?ea784b6e

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 6.5
(CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 100141 ()

Bugtraq ID:

CVE ID: CVE-2016-5423
CVE-2016-5424

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now